# Generated by Django 4.1.1 on 2024-02-21 18:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('normal_users', '0003_alter_k8scontainer_environment_variables'),
    ]

    operations = [
        migrations.CreateModel(
            name='HarborProject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_name', models.CharField(max_length=100)),
                ('username', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('images', models.CharField(blank=True, max_length=2000, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('application', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='normal_users.application')),
            ],
            options={
                'db_table': 'strap_harborproject',
                'ordering': ['project_name'],
            },
        ),
    ]
